%define ver       0.10.0
%define rel       20130520


Summary:          A Multicast Routing Daemon for IPv6
Name:             mrd6
Version:          %{ver}
Release:          0.1.%{rel}git%{?dist}%{?pext}
Epoch:            10
License:          GPL
Group:            System Environment/Daemons
Source0:          http://fivebits.net/files/%{name}/%{name}-%{ver}%{?rel:-%{rel}}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Source3:          %{name}.logrotate
Patch0:           %{name}-0.10.0-build.patch
Patch1:           %{name}-0.10.0-config.patch
Patch2:           %{name}-0.9.5-build-x86_64.patch
URL:              http://fivebits.net/proj/%{name}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Hugo Santos <hugo@fivebits.net>
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service


%description
MRD6 is a modular IPv6 Multicast Routing Daemon which implements MLDv1 and
MLDv2 with forwarding capabilities, PIM-SM (ASM and SSM), and partial MBGP
support. It has support for native and virtual (eg. tunnel) interfaces and
SNMP and allows for local and remote management using the included CLI.


%prep
%setup -q -n %{name}-%{ver}%{?rel:-%{rel}}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"

%{__make} #%{?_smp_mflags}

pushd tools/c
%{__make} #%{?_smp_mflags}
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{%{name},logrotate.d,sysconfig}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/{man1,man8}

for SDIR in src tools/c; do
  pushd ${SDIR}
  %{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	LIB=/%{_lib}              \
	install
  popd
done

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

# Install man pages
%{__install} -m 0644 docs/*.1   ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__install} -m 0644 docs/*.8   ${RPM_BUILD_ROOT}%{_mandir}/man8

# Install configs
for CFG in `ls src/confs`; do
  %{__install} -m 0640 src/confs/${CFG} \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/${CFG}.sample
done


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 = 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README*
%doc MRD6shQuickRef.txt Troubleshooter
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/%{name}
%attr(640,root,root) %{_sysconfdir}/%{name}/*.sample
%{_bindir}/mrd6sh
%{_libdir}/%{name}
%{_sbindir}/%{name}
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*


%changelog
* Mon May 20 2013 Peter Pramberger <peterpramb@member.fsf.org> - 10:0.10.0-0.1.20130520git
- New version (0.10.0-20130520)

* Mon Oct 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 10:0.9.6-1
- New version (0.9.6)
- Removed service user

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 10:0.9.5-0.3.5
- New version (0.9.5-3)

* Thu Feb 15 2007 peter.pramberger@member.fsf.org 0.9.5-4
- some spec file cleanups (x86_64 support)

* Wed Sep 20 2006 peter.pramberger@member.fsf.org
- created
